#!/usr/bin/python
# -*- coding: UTF-8 -*-

import time, random, urlparse, hmac, base64
from BaseHTTPServer import BaseHTTPRequestHandler, HTTPServer
from hashlib import sha1

PORT_NUMBER = 8080

class myHandler(BaseHTTPRequestHandler):
    def do_GET(self):
        print("\n----- Request Start ----->\n")
        print(self.path)
        print(self.headers)
        print("<----- Request End -----\n")

        self.send_response(200)
        self.send_header('Content-type','text/html')
        self.end_headers()

    def do_POST(self):
        print("\n----- Request Start ----->\n")
        print(self.path)
        print(self.headers)
        content_length = self.headers.getheaders('content-length')
        length = int(content_length[0]) if content_length else 0
        print(self.rfile.read(length))
        print("<----- Request End -----\n")

        self.send_response(200)
        self.send_header('Content-type','text/html')
        self.end_headers()

if __name__ == "__main__":
    try:
        server = HTTPServer(('', PORT_NUMBER), myHandler)
        print 'Started httpserver on port ', PORT_NUMBER
        server.serve_forever()
    except KeyboardInterrupt:
        print '^C received, shutting down the web server'
        server.socket.close()